Bug 1284702 - [abrt] gnome-shell: object_instance_trace(JSTracer*, JSObject*)(): gnome-shell killed by SIGSEGV
[abrt] gnome-shell: object_instance_trace(JSTracer*, JSObject*)(): gnome-shel...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:80c9f84cac4664c37fbea24d7d3...
:
: 1338063 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-23 18:53 EST by Martin Kolman
Modified: 2016-12-20 11:12 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:12:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (48.80 KB, text/plain)
2015-11-23 18:53 EST, Martin Kolman
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-23 18:53 EST, Martin Kolman
no flags Details
File: core_backtrace (14.99 KB, text/plain)
2015-11-23 18:53 EST, Martin Kolman
no flags Details
File: dso_list (26.68 KB, text/plain)
2015-11-23 18:53 EST, Martin Kolman
no flags Details
File: environ (1.61 KB, text/plain)
2015-11-23 18:53 EST, Martin Kolman
no flags Details
File: exploitable (95 bytes, text/plain)
2015-11-23 18:53 EST, Martin Kolman
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-23 18:53 EST, Martin Kolman
no flags Details
File: maps (232.05 KB, text/plain)
2015-11-23 18:53 EST, Martin Kolman
no flags Details
File: mountinfo (4.74 KB, text/plain)
2015-11-23 18:53 EST, Martin Kolman
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-23 18:53 EST, Martin Kolman
no flags Details
File: open_fds (4.05 KB, text/plain)
2015-11-23 18:53 EST, Martin Kolman
no flags Details
File: proc_pid_status (1.01 KB, text/plain)
2015-11-23 18:54 EST, Martin Kolman
no flags Details
File: var_log_messages (316 bytes, text/plain)
2015-11-23 18:54 EST, Martin Kolman
no flags Details

  None (edit)
Description Martin Kolman 2015-11-23 18:53:37 EST
Description of problem:
I've been normally used Gnome Shell when it crashed. I'm not really sure but I might have just used the top-left hot corner right before it crashed.

Version-Release number of selected component:
gnome-shell-3.18.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: object_instance_trace(JSTracer*, JSObject*)
executable:     /usr/bin/gnome-shell
global_pid:     24253
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 object_instance_trace(JSTracer*, JSObject*) at gi/object.cpp:1381
 #1 js::GCMarker::drainMarkStack(js::SliceBudget&) at /usr/src/debug/mozjs-24.2.0/js/src/gc/Marking.cpp:1413
 #3 IncrementalCollectSlice(JSRuntime*, int64_t, JS::gcreason::Reason, js::JSGCInvocationKind) at /usr/src/debug/mozjs-24.2.0/js/src/jsgc.cpp:3779
 #5 GCCycle(JSRuntime*, bool, int64_t, js::JSGCInvocationKind, JS::gcreason::Reason) at /usr/src/debug/mozjs-24.2.0/js/src/jsgc.cpp:4422
 #6 Collect(JSRuntime*, bool, int64_t, js::JSGCInvocationKind, JS::gcreason::Reason) at /usr/src/debug/mozjs-24.2.0/js/src/jsgc.cpp:4558
 #7 js::GCSlice(JSRuntime*, js::JSGCInvocationKind, JS::gcreason::Reason, long) at /usr/src/debug/mozjs-24.2.0/js/src/jsgc.cpp:4595
 #9 js_HandleExecutionInterrupt(JSContext*) at /usr/src/debug/mozjs-24.2.0/js/src/jscntxt.cpp:1112
 #11 js::jit::CheckOverRecursed(JSContext*) at /usr/src/debug/mozjs-24.2.0/js/src/jit/VMFunctions.cpp:434

Potential duplicate: bug 1254411
Comment 1 Martin Kolman 2015-11-23 18:53:42 EST
Created attachment 1097917 [details]
File: backtrace
Comment 2 Martin Kolman 2015-11-23 18:53:43 EST
Created attachment 1097918 [details]
File: cgroup
Comment 3 Martin Kolman 2015-11-23 18:53:45 EST
Created attachment 1097919 [details]
File: core_backtrace
Comment 4 Martin Kolman 2015-11-23 18:53:47 EST
Created attachment 1097920 [details]
File: dso_list
Comment 5 Martin Kolman 2015-11-23 18:53:48 EST
Created attachment 1097921 [details]
File: environ
Comment 6 Martin Kolman 2015-11-23 18:53:50 EST
Created attachment 1097922 [details]
File: exploitable
Comment 7 Martin Kolman 2015-11-23 18:53:51 EST
Created attachment 1097923 [details]
File: limits
Comment 8 Martin Kolman 2015-11-23 18:53:54 EST
Created attachment 1097924 [details]
File: maps
Comment 9 Martin Kolman 2015-11-23 18:53:56 EST
Created attachment 1097925 [details]
File: mountinfo
Comment 10 Martin Kolman 2015-11-23 18:53:57 EST
Created attachment 1097926 [details]
File: namespaces
Comment 11 Martin Kolman 2015-11-23 18:53:59 EST
Created attachment 1097927 [details]
File: open_fds
Comment 12 Martin Kolman 2015-11-23 18:54:00 EST
Created attachment 1097928 [details]
File: proc_pid_status
Comment 13 Martin Kolman 2015-11-23 18:54:02 EST
Created attachment 1097929 [details]
File: var_log_messages
Comment 14 Martin Kolman 2015-12-04 04:54:26 EST
Another user experienced a similar problem:

I used the top left corner to switch between windows and Gnome Shell crashed.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: object_instance_trace(JSTracer*, JSObject*)
executable:     /usr/bin/gnome-shell
global_pid:     4714
kernel:         4.2.6-300.fc23.x86_64
package:        gnome-shell-3.18.3-1.fc23
reason:         gnome-shell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Martin Kolman 2015-12-16 11:42:22 EST
Another user experienced a similar problem:

Tried to switch between windows in Gnome Shell by using the top left hot corner.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: object_instance_trace(JSTracer*, JSObject*)
executable:     /usr/bin/gnome-shell
global_pid:     6322
kernel:         4.2.6-300.fc23.x86_64
package:        gnome-shell-3.18.3-1.fc23
reason:         gnome-shell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Daniel 2016-02-08 07:56:13 EST
Similar problem has been detected:

I clicked Download Missing Artist Images n YaRock. Desktop went hiwire almost immediately.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: object_instance_trace(JSTracer*, JSObject*)
executable:     /usr/bin/gnome-shell
global_pid:     6791
kernel:         4.3.4-300.fc23.x86_64
package:        gnome-shell-3.18.3-1.fc23
reason:         gnome-shell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 17 Martin Kolman 2016-03-04 18:51:19 EST
Another user experienced a similar problem:

Used the top left hot corner to switch from an application to the overview. Then Gnome Shell crashed.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: object_instance_trace(JSTracer*, JSObject*)
executable:     /usr/bin/gnome-shell
global_pid:     13392
kernel:         4.3.3-301.fc23.x86_64
package:        gnome-shell-3.18.3-1.fc23
reason:         gnome-shell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 18 1786578565 2016-05-21 07:06:12 EDT
*** Bug 1338063 has been marked as a duplicate of this bug. ***
Comment 19 Fedora End Of Life 2016-11-24 08:40:36 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 20 Fedora End Of Life 2016-12-20 11:12:50 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.